Skip to main content
GET
Get a list of EMV scripts for a given plastic

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The card id for given card Unique card id for given card

Example:

"1234567890"

plasticId
string
required

The plastic id for given card Unique plastic id for plastic

Example:

"1234567890"

Query Parameters

auditUser
string
required

The audit user to log the request

page
integer
default:0

Current page

size
integer
default:15

How many EMV scripts should be returned per page, default is 15. Cannot be more than 30.

Required range: 1 < x < 30

Response

Successful lookup of EMV scripts

plasticId
string

PlasticId to which the EMV script is connected

cardId
string

CardId to which the EMV script is connected

emvScripts
emvScript · object[]